RNAlib-2.2.9

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- File List
- Globals

Data Structures | Typedefs | Functions
constraints_soft.h File Reference
Constraining the Secondary Structure Predictions and Evaluations » Soft Constraints

Functions and data structures for secondary structure soft constraints. More...

Include dependency graph for constraints_soft.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures
struct | vrna_sc_s
| The soft constraints data structure. More...

## Typedefs
typedef struct vrna_sc_s | vrna_sc_t
| Typename for the soft constraints data structure vrna_sc_s.
typedef int( | vrna_callback_sc_energy) (int i, int j, int k, int l, char d, void *data)
| Callback to retrieve pseudo energy contribution for soft constraint feature. More...
typedef FLT_OR_DBL( | vrna_callback_sc_exp_energy) (int i, int j, int k, int l, char d, void *data)
| Callback to retrieve pseudo energy contribution as Boltzmann Factors for soft constraint feature. More...
typedef vrna_basepair_t *( | vrna_callback_sc_backtrack) (int i, int j, int k, int l, char d, void *data)
| Callback to retrieve auxiliary base pairs for soft constraint feature. More...

## Functions
void | vrna_sc_init (vrna_fold_compound_t *vc)
| Initialize an empty soft constraints data structure within a vrna_fold_compound_t. More...
void | vrna_sc_add_bp (vrna_fold_compound_t *vc, const FLT_OR_DBL **constraints, unsigned int options)
| Add soft constraints for paired nucleotides. More...
void | vrna_sc_add_up (vrna_fold_compound_t *vc, const FLT_OR_DBL *constraints, unsigned int options)
| Add soft constraints for unpaired nucleotides. More...
void | vrna_sc_remove (vrna_fold_compound_t *vc)
| Remove soft constraints from vrna_fold_compound_t. More...
void | vrna_sc_free (vrna_sc_t *sc)
| Free memory occupied by a vrna_sc_t data structure. More...
void | vrna_sc_add_data (vrna_fold_compound_t *vc, void *data, vrna_callback_free_auxdata *free_data)
| Add an auxiliary data structure for the generic soft constraints callback function. More...
void | vrna_sc_add_f (vrna_fold_compound_t *vc, vrna_callback_sc_energy *f)
| Bind a function pointer for generic soft constraint feature (MFE version) More...
void | vrna_sc_add_bt (vrna_fold_compound_t *vc, vrna_callback_sc_backtrack *f)
| Bind a backtracking function pointer for generic soft constraint feature. More...
void | vrna_sc_add_exp_f (vrna_fold_compound_t *vc, vrna_callback_sc_exp_energy *exp_f)
| Bind a function pointer for generic soft constraint feature (PF version) More...

## Detailed Description

Functions and data structures for secondary structure soft constraints.